package com.zhaohaoting.framework.utils.bankcard;

/**
 * author：Created by ZHT on 2017/12/22 14:53
 * email：526309416@qq.com
 * desc：判断银行卡来源
 */
public class BankCardUtil {
    public static String getCardSource(String cardNumber) {
        cardNumber = cardNumber.replaceAll(" ", "");
        //判断是不是银联，老的卡号都是服务电话开头，比如农行是95599
        // http://cn.unionpay.com/cardCommend/gyylbzk/gaishu/file_6330036.html
        if (cardNumber.startsWith("62")) {
            System.out.println("中国银联卡");
        } else {
            System.out.println("国外的卡，或者旧银行卡，暂时没有收录");
            return "暂无收录";
        }
        BankInfoBean bankinfobean = new BankInfoBean(cardNumber);
        String name = bankinfobean.getBankName();
        System.out.println(name);
        int i = name.indexOf("·");
        System.out.println(name);
        if (i > 0) {
            return name.substring(0, i);
        } else {
            return name;
        }
        //归属地每个银行不一样，这里只收录农行少数地区代码
//        if (name.startsWith("农业银行") == true) {
//            if (cardNumber.length() == 19) {
//                //4大银行的16位是信用卡
//                //注意：信用卡没有开户地之说，归总行信用卡部。唯独中国银行的长城信用卡有我的地盘这个属性
//                name = ABCBankAddr.getAddrOfBank(cardNumber.substring(6, 10));
//                System.out.println("开户地:" + name);
//            }
//        }
    }

    public static boolean checkCardPhone(String cardNumber) {
        //校验
        if (CheckBankCard.checkBankCard(cardNumber) == true) {
            return true;
        } else {
            System.out.println("卡号校验失败");
            return false;
        }
    }
}
